package com.bonus.canteen.core.customer.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("cust_job")
@ApiModel("人员职位职称表")
public class CustJob extends Model<CustJob> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("职位职称id")
   private Long jobId;
   @ApiModelProperty("职位职称编码(商家自定义)")
   private String jobCode;
   @ApiModelProperty("职位职称名称")
   private String jobName;
   @ApiModelProperty("职位职称类别 1-职位 2职位等级 3-职位级别 4-职称 5-职称等级 6-编制")
   private Integer jobType;
   @ApiModelProperty("描述")
   private String description;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getJobId() {
      return this.jobId;
   }

   public String getJobCode() {
      return this.jobCode;
   }

   public String getJobName() {
      return this.jobName;
   }

   public Integer getJobType() {
      return this.jobType;
   }

   public String getDescription() {
      return this.description;
   }

   public String getRemark() {
      return this.remark;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setJobId(final Long jobId) {
      this.jobId = jobId;
   }

   public void setJobCode(final String jobCode) {
      this.jobCode = jobCode;
   }

   public void setJobName(final String jobName) {
      this.jobName = jobName;
   }

   public void setJobType(final Integer jobType) {
      this.jobType = jobType;
   }

   public void setDescription(final String description) {
      this.description = description;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
